Skip to main content
GET
/
v2
/
products
Get all products
curl --request GET \
  --url https://api.onsleek.ai/v2/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "lastViewedAt": "<string>",
      "url": "<string>",
      "name": "<string>",
      "price": 123,
      "currencyCode": "<string>",
      "brandName": "<string>",
      "description": "<string>",
      "imageUrls": [
        "<string>"
      ],
      "categoryId": "<string>",
      "categoryVersion": "<string>",
      "categoryBreadcrumb": "<string>",
      "asin": "<string>",
      "sku": "<string>",
      "gtin": "<string>",
      "mpn": "<string>",
      "ratingValue": 123,
      "ratingCount": 123,
      "bestRating": 123,
      "worstRating": 123,
      "history": [
        {
          "yearMonthDay": "<string>",
          "price": 123,
          "views": 123
        }
      ]
    }
  ],
  "nextPage": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.onsleek.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for accessing the Sleek API.

Query Parameters

page
string

The product page to fetch.

Response

200 - application/json

Products.

data
object[]
required
nextPage
string | null
required